<h4>Add New Question & Answer</h4>
<%= form_for :question, url: staff_questions_path do |f| %>
  <%= f.error_messages %>
  <div style="height: auto;">
    <div style="float: left;">
      <div class="group">
        <%= f.label :"Question_type "%>
        <%= f.select(:q_type, Question.q_types.keys, {:prompt => 'select'}) %>
      </div>
    </div>

    <div style="float: left; padding-left: 200px;">
      <div class="group">
        <%= f.label :"category "%>
        <%= f.text_field :category %>
      </div>
    </div>
    <div class="clear-height"></div>
  </div>

  <div class="group">
    <%= f.label :"Add Question "%>
    <%= f.text_area :"text" %>
  </div>

  <div class="group">
    <%= f.label :"Answers" %>
    <table>
      <%= fields_for 'answers[0]', Answer.new do |ans| %>
        <tr>
          <td width='5'>1.</td>
          <td><%= ans.text_field :description %></td>
          <td width='5'><%= ans.check_box :is_correct %></td>
        </tr>
      <% end %>

      <%= fields_for 'answers[1]', Answer.new do |ans| %>
        <tr>
          <td>2.</td>
          <td><%= ans.text_field :description %></td>
          <td><%= ans.check_box :is_correct %></td>
        </tr>
      <% end %>

      <%= fields_for 'answers[2]', Answer.new do |ans| %>
        <tr>
          <td>3.</td>
            <td><%= ans.text_field :description %></td>
            <td><%= ans.check_box :is_correct %></td>
        </tr>
      <% end %>

      <%= fields_for 'answers[3]', Answer.new do |ans| %>
        <tr>
          <td>4.</td>
          <td><%= ans.text_field :description %></td>
          <td><%= ans.check_box :is_correct %></td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="group" style="text-align: center;">
    <%= f.submit "Submit", class: "btn"%>
    <%= link_to 'Cancel', staff_questions_path, class: "btn"%>
  </div>
<% end %>





